{% extends 'base.html.twig' %}

{% block title %}Ticket index{% endblock %}

{% block body %}
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h1 class="card-title">Liste des tickets ouverts</h1>
            </div>
            <div class="card-body">
                <table class="table">
                    <thead>
                    <tr>
                        <th>Client</th>
                        {% if is_granted('ROLE_ADMIN') %}
                            <th>Fournisseur</th>
                        {% endif %}
                        <th>Date de création</th>
                        <th>Statut</th>
                        <th>actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for ticket in tickets %}
                        <tr>
                            <td><a href="{{ path('dashboard_user_show', {id: ticket.client.id}) }}">{{ ticket.client }}</a></td>
                            {% if is_granted('ROLE_ADMIN') %}
                                <td><a href="{{ path('dashboard_user_show', {id: ticket.provider.id}) }}">{{ ticket.provider }}</a></td>
                            {% endif %}
                            <td>{{ ticket.createdAt ? ticket.createdAt|date('d/m/Y H:i:s') : '' }}</td>
                            <td>
                                {% if ticket.state == 0 %}
                                    <span class="badge badge-success">Non traité</span>
                                {% elseif ticket.state == 1 %}
                                    <span class="badge badge-info">En cours</span>
                                {% else %}
                                    <span class="badge badge-secondary">Fermée</span>
                                {% endif %}
                            </td>
                            <td>
                                <a class="btn btn-primary btn-sm" href="{{ path('dashboard_ticket_show', {'id': ticket.id}) }}">Consulter</a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td class="text-center" colspan="4">Aucun élément trouvé</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                <div class="navigation">
                    {{ knp_pagination_render(tickets) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
